#include <stdio.h>
#include <string.h>
#include <argtable2.h>
#include <signal.h>
#include <stdlib.h>
#include <sys/time.h>
#include <linux/tcp.h>        // TCP_MAXSEG etc.
#include <linux/net.h>        // ioctl - socket enums
#include <netinet/in.h>       // IPPROTO def's
#include <sys/ioctl.h>
#include <errno.h>
#include <unistd.h>
#include <sys/socket.h>
#include <arpa/inet.h>


void sendit()
{
   int sock = socket(AF_INET6, SOCK_DGRAM, 0);
   if (sock <= 0)
   {
      printf("Opening socket gave error: %d\n",sock);
      exit(sock);
   }

   int err; 
   char *mystring = "The center of the storm\n"; // Message to send

   struct sockaddr_in6 dst_addr;	
   memset(&dst_addr, 0, sizeof(dst_addr));       // Clears scope and flow
   dst_addr.sin6_family = AF_INET6;      
   dst_addr.sin6_port = htons(2000);             // TCP is unchanged in ip6

   if ((err=inet_pton(AF_INET6, "::1", &dst_addr.sin6_addr)) == 0)
   {
      printf("Illegal address.\n");
      exit(err);
   }
/*
   int broadcastEnable=1;
   if ((err = setsockopt(sock, IPPROTO_IPV6, IPV6_MULTICAST_IF, &broadcastEnable, sizeof(broadcastEnable))) != 0)
   {
      printf("Socket Option not accepted.\n");
      exit(err);
   }
*/   
   if ((err = sendto(sock, mystring, strlen(mystring)+1,  0, (struct sockaddr *)&dst_addr, sizeof(dst_addr))) < 0)
   {
      printf("Could not send. Error: %d\n", err);
      exit(err);
   }
}

int main()
{ 
   sendit();
   return 0;
}

